# Retrieve_State

Retrieve a state.

`GET /v2/states/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** States
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/States/Retrieve_State/

## Description

Retrieve a state and all its associated details, from a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the state object. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `StateResponse` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `StateResponse`

States Response Model

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | System Generated State id Example: `42`. |
| `initials` | string | No | The states initials. Example: `NC`. |
| `name` | string | No | The name of the state. Example: `North Carolina`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/states/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```